Subject: bug#33294: xwidget-insert crashes Emacs

From: Eli Zaretskii <[email-masked]>
Date: Thu, 08 Nov 2018 06:54:44 +0200

Please keep CC'ing the bug number: use Reply to All.

> From: Evgeny Zajcev <[email-masked]>
> Date: Wed, 7 Nov 2018 14:02:36 +0300
> 
> Ah, sorry, here you are:
> 
> GNU gdb (Ubuntu 7.11.1-0ubuntu1~16.5) 7.11.1
> Copyright (C) 2016 Free Software Foundation, Inc.
> License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html
> >
> This is free software: you are free to change and redistribute it.
> There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
> and "show warranty" for details.
> This GDB was configured as "x86_64-linux-gnu".
> Type "show configuration" for configuration details.
> For bug reporting instructions, please see:
> <http://www.gnu.org/software/gdb/bugs/>.
> Find the GDB manual and other documentation resources online at:
> <http://www.gnu.org/software/gdb/documentation/>.
> For help, type "help".
> Type "apropos word" to search for commands related to "word"...
> Reading symbols from /usr/local/bin/emacs...done.
> 
> warning: core file may not match specified executable file.
> [New LWP 19041]
> [New LWP 19042]
> [New LWP 19045]
> [New LWP 19062]
> [New LWP 19070]
> [New LWP 19071]
> [New LWP 19046]
> [New LWP 19063]
> [New LWP 19043]
> [New LWP 19068]
> [New LWP 19069]
> [Thread debugging using libthread_db enabled]
> Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
> Core was generated by `emacs'.
> Program terminated with signal SIGABRT, Aborted.
> #0  0x00007fd00f1eb269 in raise (sig=sig@entry=6) at
> ../sysdeps/unix/sysv/linux/pt-raise.c:35
> 35      ../sysdeps/unix/sysv/linux/pt-raise.c: No such file or directory.
> [Current thread is 1 (Thread 0x7fd018c1cb00 (LWP 19041))]
> (gdb) bt
> #0  0x00007fd00f1eb269 in raise (sig=sig@entry=6) at
> ../sysdeps/unix/sysv/linux/pt-raise.c:35
> #1  0x00000000004f4764 in terminate_due_to_signal (sig=sig@entry=6,
> backtrace_limit=backtrace_limit@entry=40) at emacs.c:400
> #2  0x000000000050dad3 in emacs_abort () at sysdep.c:2429
> #3  0x00000000005536dd in Ftype_of (object=<optimized out>) at data.c:284
> #4  0x000000000056a313 in Ffuncall (nargs=2, args=args@entry=0x7fff1be85c38)
> at eval.c:2859
> #5  0x00000000005a6a70 in exec_byte_code (bytestr=<optimized out>,
> vector=0x2f28275, maxdepth=<optimized out>, args_template=<optimized out>,
>     nargs=nargs@entry=2, args=<optimized out>, args@entry=0x2f28278) at
> bytecode.c:633
> #6  0x0000000000569fcf in funcall_lambda (fun=0x7fff1be85cbf,
> nargs=nargs@entry=2, arg_vector=0x2f28278, arg_vector@entry=0x7fff1be85f10)
> at eval.c:3060
> #7  0x000000000056a267 in Ffuncall (nargs=nargs@entry=3,
> args=args@entry=0x7fff1be85f08)
> at eval.c:2873
> #8  0x000000000056c14b in Fapply (nargs=3, args=0x7fff1be85f08) at
> eval.c:2436
> #9  0x000000000056a313 in Ffuncall (nargs=4, args=args@entry=0x7fff1be85f00)
> at eval.c:2859
> #10 0x00000000005a6a70 in exec_byte_code (bytestr=<optimized out>,
> vector=0x3cfee55, maxdepth=<optimized out>, args_template=<optimized out>,
>     nargs=nargs@entry=1, args=<optimized out>, args@entry=0x3cfee58) at
> bytecode.c:633
> #11 0x0000000000569fcf in funcall_lambda (fun=0x7fff1be85f25,
> nargs=nargs@entry=1, arg_vector=0x3cfee58, arg_vector@entry=0x7fff1be860b8)
> at eval.c:3060
> #12 0x000000000056a267 in Ffuncall (nargs=2, args=args@entry=0x7fff1be860b0)
> at eval.c:2873
> #13 0x00000000005a6a70 in exec_byte_code (bytestr=<optimized out>,
> vector=0x46adb15, maxdepth=<optimized out>, args_template=<optimized out>,
>     nargs=nargs@entry=2, args=<optimized out>, args@entry=0x46adb18) at
> bytecode.c:633
> #14 0x0000000000569fcf in funcall_lambda (fun=0x7fff1be86120,
> nargs=nargs@entry=2, arg_vector=0x46adb18, arg_vector@entry=0x7fff1be86320)
> at eval.c:3060
> #15 0x000000000056a267 in Ffuncall (nargs=3, args=args@entry=0x7fff1be86318)
> at eval.c:2873
> #16 0x00000000005a6a70 in exec_byte_code (bytestr=<optimized out>,
> vector=0x440bd45, maxdepth=<optimized out>, args_template=<optimized out>,
>     nargs=nargs@entry=2, args=<optimized out>, args@entry=0x440bd48) at
> bytecode.c:633
> #17 0x0000000000569fcf in funcall_lambda (fun=0x7fff1be863c7,
> nargs=nargs@entry=2, arg_vector=0x440bd48, arg_vector@entry=0x7fff1be86558)
> at eval.c:3060
> #18 0x000000000056a267 in Ffuncall (nargs=nargs@entry=3,
> args=args@entry=0x7fff1be86550)
> at eval.c:2873
> #19 0x000000000056bfd0 in Fapply (nargs=<optimized out>,
> args=0x7fff1be86668) at eval.c:2479
> #20 0x000000000056a313 in Ffuncall (nargs=3, args=args@entry=0x7fff1be86660)
> at eval.c:2859
> #21 0x00000000005a6a70 in exec_byte_code (bytestr=<optimized out>,
> vector=0x46b1ad5, maxdepth=<optimized out>, args_template=<optimized out>,
>     nargs=nargs@entry=0, args=<optimized out>, args@entry=0x46b1ad8) at
> bytecode.c:633
> #22 0x0000000000569fcf in funcall_lambda (fun=0x7fff1be86680,
> nargs=nargs@entry=0, arg_vector=0x46b1ad8, arg_vector@entry=0x7fff1be86808)
> at eval.c:3060
> #23 0x000000000056a267 in Ffuncall (nargs=1, args=args@entry=0x7fff1be86800)
> at eval.c:2873
> #24 0x00000000005a6a70 in exec_byte_code (bytestr=<optimized out>,
> vector=0x43818c5, maxdepth=<optimized out>, args_template=<optimized out>,
>     nargs=nargs@entry=3, args=<optimized out>, args@entry=0x43818c8) at
> bytecode.c:633
> #25 0x0000000000569fcf in funcall_lambda (fun=0x7fff1be86897,
> nargs=nargs@entry=3, arg_vector=0x43818c8, arg_vector@entry=0x7fff1be86a08)
> at eval.c:3060
> #26 0x000000000056a267 in Ffuncall (nargs=nargs@entry=4,
> args=args@entry=0x7fff1be86a00)
> at eval.c:2873
> #27 0x000000000056bfd0 in Fapply (nargs=<optimized out>,
> args=0x7fff1be86b18) at eval.c:2479
> #28 0x000000000056a313 in Ffuncall (nargs=4, args=args@entry=0x7fff1be86b10)
> at eval.c:2859
> #29 0x00000000005a6a70 in exec_byte_code (bytestr=<optimized out>,
> vector=0x46af895, maxdepth=<optimized out>, args_template=<optimized out>,
>     nargs=nargs@entry=2, args=<optimized out>, args@entry=0x46af898) at
> bytecode.c:633
> #30 0x0000000000569fcf in funcall_lambda (fun=0x7fff1be86b6a,
> nargs=nargs@entry=2, arg_vector=0x46af898, arg_vector@entry=0x7fff1be86dc8)
> at eval.c:3060
> #31 0x000000000056a267 in Ffuncall (nargs=nargs@entry=3,
> args=args@entry=0x7fff1be86dc0)
> at eval.c:2873
> #32 0x000000000056c14b in Fapply (nargs=3, args=0x7fff1be86dc0) at
> eval.c:2436
> ---Type <return> to continue, or q <return> to quit---
> #33 0x000000000056a313 in Ffuncall (nargs=4, args=args@entry=0x7fff1be86db8)
> at eval.c:2859
> #34 0x00000000005a6a70 in exec_byte_code (bytestr=<optimized out>,
> vector=0x46adb15, maxdepth=<optimized out>, args_template=<optimized out>,
>     nargs=nargs@entry=2, args=<optimized out>, args@entry=0x46adb18) at
> bytecode.c:633
> #35 0x0000000000569fcf in funcall_lambda (fun=0x7fff1be86e9e,
> nargs=nargs@entry=2, arg_vector=0x46adb18, arg_vector@entry=0x7fff1be87030)
> at eval.c:3060
> #36 0x000000000056a267 in Ffuncall (nargs=3, args=args@entry=0x7fff1be87028)
> at eval.c:2873
> #37 0x00000000005a6a70 in exec_byte_code (bytestr=<optimized out>,
> vector=0x440bd45, maxdepth=<optimized out>, args_template=<optimized out>,
>     nargs=nargs@entry=2, args=<optimized out>, args@entry=0x440bd48) at
> bytecode.c:633
> #38 0x0000000000569fcf in funcall_lambda (fun=0x7fff1be870d7,
> nargs=nargs@entry=2, arg_vector=0x440bd48, arg_vector@entry=0x7fff1be87268)
> at eval.c:3060
> #39 0x000000000056a267 in Ffuncall (nargs=nargs@entry=3,
> args=args@entry=0x7fff1be87260)
> at eval.c:2873
> #40 0x000000000056bfd0 in Fapply (nargs=<optimized out>,
> args=0x7fff1be87378) at eval.c:2479
> #41 0x000000000056a313 in Ffuncall (nargs=3, args=args@entry=0x7fff1be87370)
> at eval.c:2859
> #42 0x00000000005a6a70 in exec_byte_code (bytestr=<optimized out>,
> vector=0x46b1915, maxdepth=<optimized out>, args_template=<optimized out>,
>     nargs=nargs@entry=0, args=<optimized out>, args@entry=0x46b1918) at
> bytecode.c:633
> #43 0x0000000000569fcf in funcall_lambda (fun=0x7fff1be87390,
> nargs=nargs@entry=0, arg_vector=0x46b1918, arg_vector@entry=0x7fff1be87518)
> at eval.c:3060
> #44 0x000000000056a267 in Ffuncall (nargs=1, args=args@entry=0x7fff1be87510)
> at eval.c:2873
> #45 0x00000000005a6a70 in exec_byte_code (bytestr=<optimized out>,
> vector=0x43818c5, maxdepth=<optimized out>, args_template=<optimized out>,
>     nargs=nargs@entry=3, args=<optimized out>, args@entry=0x43818c8) at
> bytecode.c:633
> #46 0x0000000000569fcf in funcall_lambda (fun=0x7fff1be875a7,
> nargs=nargs@entry=3, arg_vector=0x43818c8, arg_vector@entry=0x7fff1be87718)
> at eval.c:3060
> #47 0x000000000056a267 in Ffuncall (nargs=nargs@entry=4,
> args=args@entry=0x7fff1be87710)
> at eval.c:2873
> #48 0x000000000056bfd0 in Fapply (nargs=<optimized out>,
> args=0x7fff1be87828) at eval.c:2479
> #49 0x000000000056a313 in Ffuncall (nargs=4, args=args@entry=0x7fff1be87820)
> at eval.c:2859
> #50 0x00000000005a6a70 in exec_byte_code (bytestr=<optimized out>,
> vector=0x46af895, maxdepth=<optimized out>, args_template=<optimized out>,
>     nargs=nargs@entry=2, args=<optimized out>, args@entry=0x46af898) at
> bytecode.c:633
> #51 0x0000000000569fcf in funcall_lambda (fun=0x7fff1be8787a,
> nargs=nargs@entry=2, arg_vector=0x46af898, arg_vector@entry=0x7fff1be87ad8)
> at eval.c:3060
> #52 0x000000000056a267 in Ffuncall (nargs=nargs@entry=3,
> args=args@entry=0x7fff1be87ad0)
> at eval.c:2873
> #53 0x000000000056c14b in Fapply (nargs=3, args=0x7fff1be87ad0) at
> eval.c:2436
> #54 0x000000000056a313 in Ffuncall (nargs=4, args=args@entry=0x7fff1be87ac8)
> at eval.c:2859
> #55 0x00000000005a6a70 in exec_byte_code (bytestr=<optimized out>,
> vector=0x46adb15, maxdepth=<optimized out>, args_template=<optimized out>,
>     nargs=nargs@entry=2, args=<optimized out>, args@entry=0x46adb18) at
> bytecode.c:633
> #56 0x0000000000569fcf in funcall_lambda (fun=0x7fff1be87bae,
> nargs=nargs@entry=2, arg_vector=0x46adb18, arg_vector@entry=0x7fff1be87d30)
> at eval.c:3060
> #57 0x000000000056a267 in Ffuncall (nargs=3, args=args@entry=0x7fff1be87d28)
> at eval.c:2873
> #58 0x00000000005a6a70 in exec_byte_code (bytestr=<optimized out>,
> vector=0x46ae935, maxdepth=<optimized out>, args_template=<optimized out>,
>     nargs=nargs@entry=2, args=<optimized out>, args@entry=0x46ae938) at
> bytecode.c:633
> #59 0x0000000000569fcf in funcall_lambda (fun=0x7fff1be87d5d,
> nargs=nargs@entry=2, arg_vector=0x46ae938, arg_vector@entry=0x7fff1be87f00)
> at eval.c:3060
> #60 0x000000000056a267 in Ffuncall (nargs=3, args=args@entry=0x7fff1be87ef8)
> at eval.c:2873
> #61 0x00000000005a6a70 in exec_byte_code (bytestr=<optimized out>,
> vector=0x424f6e5, maxdepth=<optimized out>, args_template=<optimized out>,
>     nargs=nargs@entry=2, args=<optimized out>, args@entry=0x424f6e8) at
> bytecode.c:633
> #62 0x0000000000569fcf in funcall_lambda (fun=0x7fff1be87f20,
> nargs=nargs@entry=2, arg_vector=0x424f6e8, arg_vector@entry=0x7fff1be880c8)
> at eval.c:3060
> #63 0x000000000056a267 in Ffuncall (nargs=3, args=args@entry=0x7fff1be880c0)
> at eval.c:2873
> #64 0x00000000005a6a70 in exec_byte_code (bytestr=<optimized out>,
> vector=0x46aea75, maxdepth=<optimized out>, args_template=<optimized out>,
> ---Type <return> to continue, or q <return> to quit---
>     nargs=nargs@entry=3, args=<optimized out>, args@entry=0x46aea78) at
> bytecode.c:633
> #65 0x0000000000569fcf in funcall_lambda (fun=0x7fff1be8813d,
> nargs=nargs@entry=3, arg_vector=0x46aea78, arg_vector@entry=0x7fff1be882f8)
> at eval.c:3060
> #66 0x000000000056a267 in Ffuncall (nargs=4, args=args@entry=0x7fff1be882f0)
> at eval.c:2873
> #67 0x00000000005a6a70 in exec_byte_code (bytestr=<optimized out>,
> vector=0x424e605, maxdepth=<optimized out>, args_template=<optimized out>,
>     nargs=nargs@entry=2, args=<optimized out>, args@entry=0x424e608) at
> bytecode.c:633
> #68 0x0000000000569fcf in funcall_lambda (fun=0x7fff1be8833f,
> nargs=nargs@entry=2, arg_vector=0x424e608, arg_vector@entry=0x7fff1be88528)
> at eval.c:3060
> #69 0x000000000056a267 in Ffuncall (nargs=3, args=args@entry=0x7fff1be88520)
> at eval.c:2873
> #70 0x00000000005a6a70 in exec_byte_code (bytestr=<optimized out>,
> vector=0x424f565, maxdepth=<optimized out>, args_template=<optimized out>,
>     nargs=nargs@entry=2, args=<optimized out>, args@entry=0x424f568) at
> bytecode.c:633
> #71 0x0000000000569fcf in funcall_lambda (fun=0x7fff1be88613,
> nargs=nargs@entry=2, arg_vector=0x424f568, arg_vector@entry=0x7fff1be88850)
> at eval.c:3060
> #72 0x000000000056a267 in Ffuncall (nargs=3, args=args@entry=0x7fff1be88848)
> at eval.c:2873
> #73 0x00000000005a6a70 in exec_byte_code (bytestr=<optimized out>,
> vector=0x424e6f5, maxdepth=<optimized out>, args_template=<optimized out>,
>     nargs=nargs@entry=2, args=<optimized out>, args@entry=0x424e6f8) at
> bytecode.c:633
> #74 0x0000000000569fcf in funcall_lambda (fun=0x7fff1be88884,
> nargs=nargs@entry=2, arg_vector=0x424e6f8, arg_vector@entry=0x7fff1be88a50)
> at eval.c:3060
> #75 0x000000000056a267 in Ffuncall (nargs=3, args=args@entry=0x7fff1be88a48)
> at eval.c:2873
> #76 0x00000000005a6a70 in exec_byte_code (bytestr=<optimized out>,
> vector=0x4406eb5, maxdepth=<optimized out>, args_template=<optimized out>,
>     nargs=nargs@entry=0, args=<optimized out>, args@entry=0x4406eb8) at
> bytecode.c:633
> #77 0x0000000000569fcf in funcall_lambda (fun=0x7fff1be88ad7,
> nargs=nargs@entry=0, arg_vector=0x4406eb8, arg_vector@entry=0x7fff1be88c88)
> at eval.c:3060
> #78 0x000000000056a267 in Ffuncall (nargs=1, args=args@entry=0x7fff1be88c80)
> at eval.c:2873
> #79 0x00000000005a6a70 in exec_byte_code (bytestr=<optimized out>,
> vector=0x43e7b85, maxdepth=<optimized out>, args_template=<optimized out>,
>     nargs=nargs@entry=1, args=<optimized out>, args@entry=0x43e7b88) at
> bytecode.c:633
> #80 0x0000000000569fcf in funcall_lambda (fun=0x7fff1be88d0a,
> nargs=nargs@entry=1, arg_vector=0x43e7b88, arg_vector@entry=0x7fff1be88f90)
> at eval.c:3060
> #81 0x000000000056a267 in Ffuncall (nargs=2, args=args@entry=0x7fff1be88f88)
> at eval.c:2873
> #82 0x00000000005a6a70 in exec_byte_code (bytestr=<optimized out>,
> vector=0x43e6b85, maxdepth=<optimized out>, args_template=<optimized out>,
>     nargs=nargs@entry=2, args=<optimized out>, args@entry=0x43e6b88) at
> bytecode.c:633
> #83 0x0000000000569fcf in funcall_lambda (fun=0x7fff1be89151,
> nargs=nargs@entry=2, arg_vector=0x43e6b88, arg_vector@entry=0x7fff1be89318)
> at eval.c:3060
> #84 0x000000000056a267 in Ffuncall (nargs=nargs@entry=3,
> args=args@entry=0x7fff1be89310)
> at eval.c:2873
> #85 0x000000000056bfd0 in Fapply (nargs=nargs@entry=2,
> args=args@entry=0x7fff1be893c0)
> at eval.c:2479
> #86 0x000000000056c1bc in apply1 (fn=0x4950, arg=arg@entry=0x437a843) at
> eval.c:2695
> #87 0x000000000056c370 in call_debugger (arg=0x437a843) at eval.c:358
> #88 0x000000000056a96b in maybe_call_debugger (data=0x437a873, sig=0x2b50,
> conditions=0x886933 <pure+47635>) at eval.c:1868
> #89 signal_or_quit (error_symbol=0x2b50, data=0x437a873,
> keyboard_quit=keyboard_quit@entry=false) at eval.c:1704
> #90 0x000000000056aa4c in Fsignal (error_symbol=<optimized out>,
> error_symbol@entry=0x2b50, data=<optimized out>) at eval.c:1609
> #91 0x000000000056b1fa in xsignal (data=<optimized out>,
> error_symbol=0x2b50) at lisp.h:3887
> #92 xsignal2 (error_symbol=error_symbol@entry=0x2b50, arg1=<optimized out>,
> arg2=<optimized out>) at eval.c:1752
> #93 0x0000000000555b34 in args_out_of_range (a1=<optimized out>,
> a2=<optimized out>) at data.c:167
> #94 0x00000000005c500e in validate_interval_range
> (object=object@entry=0x4c5a125,
> begin=begin@entry=0x7fff1be89538, end=end@entry=0x7fff1be89530,
>     force=force@entry=true) at textprop.c:162
> #95 0x00000000005c5c55 in add_text_properties_1 (start=0x6, end=0xa,
> properties=properties@entry=0x7fff1be89593, object=0x4c5a125,
>     set_type=set_type@entry=TEXT_PROPERTY_REPLACE) at textprop.c:1163
> ---Type <return> to continue, or q <return> to quit---
> #96 0x00000000005c6014 in Fadd_text_properties (object=<optimized out>,
> properties=0x7fff1be89593, end=<optimized out>, start=<optimized out>)
>     at textprop.c:1271
> #97 Fput_text_property (start=<optimized out>, end=<optimized out>,
> property=<optimized out>, value=<optimized out>, object=<optimized out>)
>     at textprop.c:1289
> #98 0x000000000056a313 in Ffuncall (nargs=5, args=args@entry=0x7fff1be89660)
> at eval.c:2859
> #99 0x00000000005a6a70 in exec_byte_code (bytestr=<optimized out>,
> vector=0x442b3d5, maxdepth=<optimized out>, args_template=<optimized out>,
>     nargs=nargs@entry=5, args=<optimized out>, args@entry=0x442b3d8) at
> bytecode.c:633
> #100 0x0000000000569fcf in funcall_lambda (fun=0x7fff1be896ad,
> fun@entry=0x442c315,
> nargs=nargs@entry=5, arg_vector=0x442b3d8,
>     arg_vector@entry=0x7fff1be897b0) at eval.c:3060
> #101 0x000000000056d1a0 in apply_lambda (fun=0x442c315, args=<optimized
> out>, count=count@entry=21) at eval.c:2996
> #102 0x0000000000569786 in eval_sub (form=<optimized out>) at eval.c:2399
> #103 0x0000000000569cfd in Fprogn (body=<optimized out>) at eval.c:481
> #104 0x00000000005699e8 in eval_sub (form=<optimized out>) at eval.c:2276
> #105 0x000000000056d7b4 in Funwind_protect (args=0x437abc3) at eval.c:1230
> #106 0x00000000005699e8 in eval_sub (form=<optimized out>) at eval.c:2276
> #107 0x0000000000569cfd in Fprogn (body=<optimized out>, body@entry=0x437aaa3)
> at eval.c:481
> #108 0x000000000055d607 in Fsave_current_buffer (args=0x437aaa3) at
> editfns.c:854
> #109 0x00000000005699e8 in eval_sub (form=<optimized out>) at eval.c:2276
> #110 0x000000000056d675 in Fprogn (body=<optimized out>) at eval.c:481
> #111 Flet (args=0x437a943) at eval.c:1009
> #112 0x00000000005699e8 in eval_sub (form=form@entry=0x437a933) at
> eval.c:2276
> #113 0x000000000056db68 in Feval (form=0x437a933, lexical=<optimized out>)
> at eval.c:2144
> #114 0x000000000056a313 in Ffuncall (nargs=3, args=args@entry=0x7fff1be89da8)
> at eval.c:2859
> #115 0x00000000005a6a70 in exec_byte_code (bytestr=<optimized out>,
> vector=0x9da285 <pure+1438565>, maxdepth=<optimized out>,
> args_template=<optimized out>,
>     nargs=nargs@entry=1, args=<optimized out>, args@entry=0x9da288
> <pure+1438568>) at bytecode.c:633
> #116 0x0000000000569fcf in funcall_lambda (fun=0x7fff1be89de5,
> nargs=nargs@entry=1, arg_vector=0x9da288 <pure+1438568>, arg_vector@entry
> =0x7fff1be89f78)
>     at eval.c:3060
> #117 0x000000000056a267 in Ffuncall (nargs=2, args=args@entry=0x7fff1be89f70)
> at eval.c:2873
> #118 0x00000000005a6a70 in exec_byte_code (bytestr=<optimized out>,
> vector=0x9da525 <pure+1439237>, maxdepth=<optimized out>,
> args_template=<optimized out>,
>     nargs=nargs@entry=1, args=<optimized out>, args@entry=0x9da528
> <pure+1439240>) at bytecode.c:633
> #119 0x0000000000569fcf in funcall_lambda (fun=0x7fff1be89f95,
> nargs=nargs@entry=1, arg_vector=0x9da528 <pure+1439240>, arg_vector@entry
> =0x7fff1be8a1a0)
>     at eval.c:3060
> #120 0x000000000056a267 in Ffuncall (nargs=nargs@entry=2,
> args=args@entry=0x7fff1be8a198)
> at eval.c:2873
> #121 0x00000000005664c0 in Ffuncall_interactively (nargs=2,
> args=0x7fff1be8a198) at callint.c:253
> #122 0x000000000056a313 in Ffuncall (nargs=nargs@entry=3,
> args=args@entry=0x7fff1be8a190)
> at eval.c:2859
> #123 0x0000000000566dec in Fcall_interactively (function=<optimized out>,
> record_flag=<optimized out>, keys=<optimized out>) at callint.c:781
> #124 0x000000000056a313 in Ffuncall (nargs=4, args=args@entry=0x7fff1be8a3c8)
> at eval.c:2859
> #125 0x00000000005a6a70 in exec_byte_code (bytestr=<optimized out>,
> vector=0x942c95 <pure+818549>, maxdepth=<optimized out>,
> args_template=<optimized out>,
>     nargs=nargs@entry=1, args=<optimized out>, args@entry=0x942c98
> <pure+818552>) at bytecode.c:633
> #126 0x0000000000569fcf in funcall_lambda (fun=0x7fff1be8a466,
> nargs=nargs@entry=1, arg_vector=0x942c98 <pure+818552>, arg_vector@entry
> =0x7fff1be8a5f8)
> ---Type <return> to continue, or q <return> to quit---
>     at eval.c:3060
> #127 0x000000000056a267 in Ffuncall (nargs=nargs@entry=2,
> args=args@entry=0x7fff1be8a5f0)
> at eval.c:2873
> #128 0x000000000056a3ea in call1 (fn=fn@entry=0x4170, arg1=<optimized out>)
> at eval.c:2710
> #129 0x0000000000502fd5 in command_loop_1 () at keyboard.c:1451
> #130 0x0000000000568b6e in internal_condition_case (bfun=bfun@entry=0x502bd0
> <command_loop_1>, handlers=handlers@entry=0x5520,
>     hfun=hfun@entry=0x4fa040 <cmd_error>) at eval.c:1373
> #131 0x00000000004f4bac in command_loop_2 (ignore=ignore@entry=0x0) at
> keyboard.c:1079
> #132 0x0000000000568b0c in internal_catch (tag=tag@entry=0xcea0,
> func=func@entry=0x4f4b90 <command_loop_2>, arg=arg@entry=0x0) at eval.c:1136
> #133 0x00000000004f4b69 in command_loop () at keyboard.c:1058
> #134 0x00000000004f9c49 in recursive_edit_1 () at keyboard.c:703
> #135 0x00000000004f9f74 in Frecursive_edit () at keyboard.c:774
> #136 0x000000000041c243 in main (argc=1, argv=0x7fff1be8a9e8) at
> emacs.c:1731
> (gdb)

Is this in "emacs -Q"?  I see that Emacs tried to report an
args-out-of-range error, but aborted while invoking the debugger.  I
don't seem to be able to reproduce this here, so I suspect some
customizations you made.  In which case I'd need a Lisp backtrace,
available with the GDB command xbacktrace (defined on src/.gdbinit).